Skip to main content
PATCH
/
marketing
/
v3
/
forms
/
{formId}
Partially update a form definition
curl --request PATCH \
  --url https://api.hubapi.com/marketing/v3/forms/{formId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "archived": true,
  "fieldGroups": [
    {
      "fields": [
        {
          "dependentFields": [
            {
              "dependentCondition": {
                "operator": "between",
                "rangeEnd": "<string>",
                "rangeStart": "<string>",
                "value": "<string>",
                "values": [
                  "<string>"
                ]
              },
              "dependentField": "<unknown>"
            }
          ],
          "fieldType": "email",
          "hidden": true,
          "label": "<string>",
          "name": "<string>",
          "objectTypeId": "<string>",
          "required": true,
          "validation": {
            "blockedEmailDomains": [
              "<string>"
            ],
            "useDefaultBlockList": true
          },
          "defaultValue": "<string>",
          "description": "<string>",
          "placeholder": "<string>"
        }
      ],
      "groupType": "default_group",
      "richTextType": "image",
      "richText": "<string>"
    }
  ],
  "legalConsentOptions": {
    "type": "none"
  },
  "name": "<string>"
}
'
{
  "archived": true,
  "configuration": {
    "allowLinkToResetKnownValues": true,
    "archivable": true,
    "cloneable": true,
    "createNewContactForNewEmail": true,
    "editable": true,
    "language": "af",
    "lifecycleStages": [
      {
        "objectTypeId": "<string>",
        "value": "<string>"
      }
    ],
    "notifyContactOwner": true,
    "notifyRecipients": [
      "<string>"
    ],
    "postSubmitAction": {
      "type": "redirect_url",
      "value": "<string>"
    },
    "prePopulateKnownValues": true,
    "recaptchaEnabled": true,
    "embedType": "V3"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "displayOptions": {
    "renderRawHtml": true,
    "style": {
      "backgroundWidth": "<string>",
      "fontFamily": "<string>",
      "helpTextColor": "<string>",
      "helpTextSize": "<string>",
      "labelTextColor": "<string>",
      "labelTextSize": "<string>",
      "legalConsentTextColor": "<string>",
      "legalConsentTextSize": "<string>",
      "submitAlignment": "center",
      "submitColor": "<string>",
      "submitFontColor": "<string>",
      "submitSize": "<string>"
    },
    "submitButtonText": "<string>",
    "theme": "canvas",
    "cssClass": "<string>"
  },
  "fieldGroups": [
    {
      "fields": [
        {
          "dependentFields": [
            {
              "dependentCondition": {
                "operator": "between",
                "rangeEnd": "<string>",
                "rangeStart": "<string>",
                "value": "<string>",
                "values": [
                  "<string>"
                ]
              },
              "dependentField": "<unknown>"
            }
          ],
          "fieldType": "email",
          "hidden": true,
          "label": "<string>",
          "name": "<string>",
          "objectTypeId": "<string>",
          "required": true,
          "validation": {
            "blockedEmailDomains": [
              "<string>"
            ],
            "useDefaultBlockList": true
          },
          "defaultValue": "<string>",
          "description": "<string>",
          "placeholder": "<string>"
        }
      ],
      "groupType": "default_group",
      "richTextType": "image",
      "richText": "<string>"
    }
  ],
  "formType": "hubspot",
  "id": "<string>",
  "legalConsentOptions": {
    "type": "none"
  },
  "name": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

formId
string
required

Body

application/json
archived
boolean

Whether this form is archived.

configuration
object
displayOptions
object
fieldGroups
object[]

The fields in the form, grouped in rows.

Configuration for legal consent and data processing compliance options. Supports types: none, legitimate_interest, explicit_consent_to_process, implicit_consent_to_process.

name
string

The name of the form. Expected to be unique for a hub.

Response

successful operation

archived
boolean
required
configuration
object
required
createdAt
string<date-time>
required
displayOptions
object
required
fieldGroups
object[]
required
formType
enum<string>
default:hubspot
required
Available options:
hubspot
id
string
required
name
string
required
updatedAt
string<date-time>
required
archivedAt
string<date-time>
Last modified on March 30, 2026